#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ADR[] cacheADR;

		
		public ADR ADR(int period, int fontSize, Brush plotColor, Brush textColor, Brush textBorderColor, int borderWidth, int textAreaOpacity, Brush textAreaColor, int offsetVertical)
		{
			return ADR(Input, period, fontSize, plotColor, textColor, textBorderColor, borderWidth, textAreaOpacity, textAreaColor, offsetVertical);
		}


		
		public ADR ADR(ISeries<double> input, int period, int fontSize, Brush plotColor, Brush textColor, Brush textBorderColor, int borderWidth, int textAreaOpacity, Brush textAreaColor, int offsetVertical)
		{
			if (cacheADR != null)
				for (int idx = 0; idx < cacheADR.Length; idx++)
					if (cacheADR[idx].Period == period && cacheADR[idx].FontSize == fontSize && cacheADR[idx].PlotColor == plotColor && cacheADR[idx].TextColor == textColor && cacheADR[idx].TextBorderColor == textBorderColor && cacheADR[idx].BorderWidth == borderWidth && cacheADR[idx].TextAreaOpacity == textAreaOpacity && cacheADR[idx].TextAreaColor == textAreaColor && cacheADR[idx].OffsetVertical == offsetVertical && cacheADR[idx].EqualsInput(input))
						return cacheADR[idx];
			return CacheIndicator<ADR>(new ADR(){ Period = period, FontSize = fontSize, PlotColor = plotColor, TextColor = textColor, TextBorderColor = textBorderColor, BorderWidth = borderWidth, TextAreaOpacity = textAreaOpacity, TextAreaColor = textAreaColor, OffsetVertical = offsetVertical }, input, ref cacheADR);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ADR ADR(int period, int fontSize, Brush plotColor, Brush textColor, Brush textBorderColor, int borderWidth, int textAreaOpacity, Brush textAreaColor, int offsetVertical)
		{
			return indicator.ADR(Input, period, fontSize, plotColor, textColor, textBorderColor, borderWidth, textAreaOpacity, textAreaColor, offsetVertical);
		}


		
		public Indicators.ADR ADR(ISeries<double> input , int period, int fontSize, Brush plotColor, Brush textColor, Brush textBorderColor, int borderWidth, int textAreaOpacity, Brush textAreaColor, int offsetVertical)
		{
			return indicator.ADR(input, period, fontSize, plotColor, textColor, textBorderColor, borderWidth, textAreaOpacity, textAreaColor, offsetVertical);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ADR ADR(int period, int fontSize, Brush plotColor, Brush textColor, Brush textBorderColor, int borderWidth, int textAreaOpacity, Brush textAreaColor, int offsetVertical)
		{
			return indicator.ADR(Input, period, fontSize, plotColor, textColor, textBorderColor, borderWidth, textAreaOpacity, textAreaColor, offsetVertical);
		}


		
		public Indicators.ADR ADR(ISeries<double> input , int period, int fontSize, Brush plotColor, Brush textColor, Brush textBorderColor, int borderWidth, int textAreaOpacity, Brush textAreaColor, int offsetVertical)
		{
			return indicator.ADR(input, period, fontSize, plotColor, textColor, textBorderColor, borderWidth, textAreaOpacity, textAreaColor, offsetVertical);
		}

	}
}

#endregion
